# -*- coding: UTF-8 -*-
# La ligne ci-dessus permet de déclarer l'encodage, l'UTF-8 est recommandé.

# Importation des modules nécessaires.
import addonHandler
import gui
import wx
# Pour les traductions.
addonHandler.initTranslation()

def onInstall():
	# On recherche s'il existe un addon "verNumEtVerMaj" pour proposer sa suppression, car il est incompatible.
	addon = [x for x in addonHandler.getAvailableAddons() if x.name == "verNumEtVerMaj"]
	# Si cet addon existe bien, la variable addon de type list devrait comporter l'objet de cet addon comme seul et unique élément.
	if len(addon) > 0:
		# La liste addon comporte plus de 0 éléments, ce qui signifie que notre addon à supprimer est bien là.
		# On affecte à la variable addon, la valeur du seul et unique élément de la liste, qui correspond à l'addon trouvé.
		addon = addon[0]
		# On ouvre une boîte de dialogue qui va proposer de supprimer l'addon.
		if gui.messageBox(
		# Message de la boîte de dialogue.
		_("You have installed the verNumEtVerMaj add-on which is incompatible with this one. Do you want to uninstall this old version?"),
		# Titre de la boîte de dialogue.
		_("Uninstall incompatible version"),
		# Style de la boîte de dialogue.
		wx.YES|wx.NO|wx.ICON_WARNING)==wx.YES:
			# L'utilisateur a répondu Oui, on supprime l'addon.
			addon.requestRemove()
	# On recherche s'il existe un addon shortLockAnnouncement pour proposer sa suppression, car il est incompatible.
	addon = [x for x in addonHandler.getAvailableAddons() if x.name == "shortLockAnnouncement"]
	# Si cet addon existe bien, la variable addon de type list devrait comporter l'objet de cet addon comme seul et unique élément.
	if len(addon) > 0:
		# La liste addon comporte plus de 0 éléments, ce qui signifie que notre addon à supprimer est bien là.
		# On affecte à la variable addon, la valeur du seul et unique élément de la liste, qui correspond à l'addon trouvé.
		addon = addon[0]
		# On ouvre une boîte de dialogue qui va proposer de supprimer l'addon.
		if gui.messageBox(
		# Message de la boîte de dialogue.
		_("You have installed the shortLockAnnouncement add-on which is incompatible with this one. Do you want to uninstall this old version?"),
		# Titre de la boîte de dialogue.
		_("Uninstall incompatible version"),
		# Style de la boîte de dialogue.
		wx.YES|wx.NO|wx.ICON_WARNING)==wx.YES:
			# L'utilisateur a répondu Oui, on supprime l'addon.
			addon.requestRemove()
